Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
GuiIconButtonCtrl Class Reference

`#include <guiIconButtonCtrl.h>`

Inheritance diagram for GuiIconButtonCtrl:

## Public Types
enum | { TextLocNone, TextLocBottom, TextLocRight, TextLocTop, TextLocLeft, TextLocCenter }
enum | { IconLocLeft, IconLocRight, IconLocNone }
Public Types inherited from GuiButtonBaseCtrl
enum | { ButtonTypePush, ButtonTypeCheck, ButtonTypeRadio }
Public Types inherited from GuiControl
enum | horizSizingOptions { horizResizeRight = 0, horizResizeWidth, horizResizeLeft, horizResizeCenter, horizResizeRelative }
enum | vertSizingOptions { vertResizeBottom = 0, vertResizeHeight, vertResizeTop, vertResizeCenter, vertResizeRelative }
Public Types inherited from SimSet
typedef SimObjectList::iterator | iterator
typedef SimObjectList::value_type | value
Public Types inherited from SimObject
enum | WriteFlags { SelectedOnly = BIT(0) }

## Public Member Functions
| DECLARE_CONOBJECT (GuiIconButtonCtrl)
| GuiIconButtonCtrl ()
bool | onWake ()
| Called when this object is asked to wake up returns true if it's actually awake at the end. More...
void | onSleep ()
| Called when this object is asked to sleep. More...
void | inspectPostApply ()
void | setBitmap (const char *name)
void | setErrorBitmap (const char *name)
void | onRender (Point2I offset, const RectI &updateRect)
Public Member Functions inherited from GuiButtonCtrl
| DECLARE_CONOBJECT (GuiButtonCtrl)
| GuiButtonCtrl ()
Public Member Functions inherited from GuiButtonBaseCtrl
| GuiButtonBaseCtrl ()
| DECLARE_CONOBJECT (GuiButtonBaseCtrl)
void | setText (const char *text)
void | setTextID (S32 id)
void | setTextID (const char *id)
const char * | getText ()
bool | getStateOn (void)
void | setStateOn (bool bStateOn)
void | acceleratorKeyPress (U32 index)
void | acceleratorKeyRelease (U32 index)
void | onMouseDown (const GuiEvent &)
void | onMouseUp (const GuiEvent &)
void | onRightMouseUp (const GuiEvent &)
void | onMouseEnter (const GuiEvent &)
void | onMouseLeave (const GuiEvent &)
bool | onKeyDown (const GuiEvent &event)
bool | onKeyUp (const GuiEvent &event)
void | setScriptValue (const char *value)
| Sets the value of the variable bound to this object. More...
const char * | getScriptValue ()
| Returns the value of the variable bound to this object. More...
void | onMessage (GuiControl *, S32 msg)
void | onAction ()
| Occurs when this control performs its "action". More...
Public Member Functions inherited from GuiControl
virtual void | getScrollLineSizes (U32 *rowHeight, U32 *columnWidth)
virtual void | getCursor (GuiCursor *&cursor, bool &showCursor, const GuiEvent &lastGuiEvent)
void | awaken ()
| Called when this control and its children have been wired up. More...
void | sleep ()
| Called when this control is no more. More...
void | preRender ()
| Prerender this control and all its children. More...
virtual bool | onInputEvent (const InputEvent &event)
| General input handler. More...
virtual bool | ControlIsChild (GuiControl *child)
void | setControlProfile (GuiControlProfile *prof)
void | renderJustifiedText (Point2I offset, Point2I extent, const char *text)
void | inspectPostApply ()
void | inspectPreApply ()
void | setSizing (S32 horz, S32 vert)
void | write (Stream &stream, U32 tabStop, U32 flags)
| Overrides Parent Serialization to allow specific controls to not be saved (Dynamic Controls, etc) More...
bool | getCanSave ()
| Returns boolean specifying if a control can be serialized. More...
void | setCanSave (bool bCanSave)
| Set serialization flag. More...
bool | getCanSaveParent ()
| Returns boolean as to whether any parent of this control has the 'no serialization' flag set. More...
const Point2I & | getPosition ()
| Returns position of the control. More...
const Point2I & | getExtent ()
| Returns extents of the control. More...
const RectI & | getBounds ()
| Returns the bounds of the control. More...
const Point2I & | getMinExtent ()
| Returns minimum size the control can be. More...
const S32 | getLeft ()
| Returns the X position of the control. More...
const S32 | getTop ()
| Returns the Y position of the control. More...
const S32 | getWidth ()
| Returns the width of the control. More...
const S32 | getHeight ()
| Returns the height of the control. More...
virtual void | setVisible (bool value)
bool | isVisible ()
| Returns true if the object is visible. More...
void | setActive (bool value)
bool | isActive ()
| Returns true if this control is active. More...
bool | isAwake ()
| Returns true if this control is awake. More...
void | addObject (SimObject *obj)
void | removeObject (SimObject *obj)
GuiControl * | getParent ()
| Returns the control which owns this one. More...
GuiCanvas * | getRoot ()
Point2I | localToGlobalCoord (const Point2I &src)
Point2I | globalToLocalCoord (const Point2I &src)
virtual void | resize (const Point2I &newPosition, const Point2I &newExtent)
virtual void | setPosition (const Point2I &newPosition)
virtual void | setExtent (const Point2I &newExtent)
virtual void | setBounds (const RectI &newBounds)
virtual void | setLeft (S32 newLeft)
virtual void | setTop (S32 newTop)
virtual void | setWidth (S32 newWidth)
virtual void | setHeight (S32 newHeight)
virtual void | childResized (GuiControl *child)
virtual void | parentResized (const Point2I &oldParentExtent, const Point2I &newParentExtent)
virtual bool | renderTooltip (Point2I cursorPos, const char *tipText=NULL)
void | renderChildControls (Point2I offset, const RectI &updateRect)
void | setUpdateRegion (Point2I pos, Point2I ext)
virtual void | setUpdate ()
| Sets the update area of the control to encompass the whole control. More...
virtual void | onPreRender ()
| Do special pre-render proecessing. More...
virtual void | onRemove ()
| Called when this object is removed. More...
virtual void | onChildRemoved (GuiControl *child)
| Called when one of this objects children is removed. More...
bool | onAdd ()
| Called when this object is added to the scene. More...
virtual void | onChildAdded (GuiControl *child)
| Called when this object has a new child. More...
virtual bool | pointInControl (const Point2I &parentCoordPoint)
bool | cursorInControl ()
| Returns true if the global cursor is inside this control. More...
virtual GuiControl * | findHitControl (const Point2I &pt, S32 initialLayer=-1)
void | mouseLock (GuiControl *lockingControl)
void | mouseLock ()
| Turn on mouse locking with last used lock control. More...
void | mouseUnlock ()
| Unlock the mouse. More...
bool | isMouseLocked ()
| Returns true if the mouse is locked. More...
virtual void | onMouseMove (const GuiEvent &event)
virtual void | onMouseDragged (const GuiEvent &event)
virtual bool | onMouseWheelUp (const GuiEvent &event)
virtual bool | onMouseWheelDown (const GuiEvent &event)
virtual void | onRightMouseDown (const GuiEvent &event)
virtual void | onRightMouseDragged (const GuiEvent &event)
virtual void | onMiddleMouseDown (const GuiEvent &event)
virtual void | onMiddleMouseUp (const GuiEvent &event)
virtual void | onMiddleMouseDragged (const GuiEvent &event)
virtual bool | onMouseDownEditor (const GuiEvent &event, Point2I offset)
virtual bool | onMouseUpEditor (const GuiEvent &event, Point2I offset)
virtual bool | onRightMouseDownEditor (const GuiEvent &event, Point2I offset)
virtual bool | onMouseDraggedEditor (const GuiEvent &event, Point2I offset)
virtual GuiControl * | findFirstTabable ()
| Find the first tab-accessable child of this control. More...
virtual GuiControl * | findLastTabable (bool firstCall=true)
virtual GuiControl * | findPrevTabable (GuiControl *curResponder, bool firstCall=true)
virtual GuiControl * | findNextTabable (GuiControl *curResponder, bool firstCall=true)
virtual void | setFirstResponder (GuiControl *firstResponder)
virtual void | makeFirstResponder (bool value)
bool | isFirstResponder ()
| Returns true if this control is a first responder. More...
virtual void | setFirstResponder ()
| Sets this object to be a first responder. More...
void | clearFirstResponder ()
| Clears the first responder for this chain. More...
GuiControl * | getFirstResponder ()
| Returns the first responder for this chain. More...
virtual void | onLoseFirstResponder ()
| Occurs when the first responder for this chain is lost. More...
void | addAcceleratorKey ()
| Adds the accelerator key for this object to the canvas. More...
virtual void | buildAcceleratorMap ()
virtual bool | onKeyRepeat (const GuiEvent &event)
void | messageSiblings (S32 message)
| Send a message to all siblings. More...
virtual void | onDialogPush ()
| Called if this object is a dialog, when it is added to the visible layers. More...
virtual void | onDialogPop ()
| Called if this object is a dialog, when it is removed from the visible layers. More...
void | setConsoleVariable (const char *variable)
void | setConsoleCommand (const char *newCmd)
const char * | getConsoleCommand ()
| Returns the name of the function bound to this GuiControl. More...
LangTable * | getGUILangTable (void)
const UTF8 * | getGUIString (S32 id)
| DECLARE_CONOBJECT (GuiControl)
| GuiControl ()
virtual | ~GuiControl ()
Public Member Functions inherited from SimGroup
| ~SimGroup ()
void | addObject (SimObject *, SimObjectId)
void | addObject (SimObject *, const char *name)
virtual SimObject * | findObject (const char *name)
| Find an object in the group. More...
bool | processArguments (S32 argc, const char **argv)
| Process constructor options. (ie, new SimObject(1,2,3)) More...
| DECLARE_CONOBJECT (SimGroup)
Public Member Functions inherited from SimSet
| SimSet ()
| ~SimSet ()
virtual void | onDeleteNotify (SimObject *object)
virtual U32 | getTamlChildCount (void) const
| Called when Taml attempts to compile a list of children. More...
virtual SimObject * | getTamlChild (const U32 childIndex) const
| Called when Taml attempts to compile a list of children. More...
virtual void | addTamlChild (SimObject *pSimObject)
| Called when Taml attempts to populate an objects children during a read. More...
void | callOnChildren (const char *method, S32 argc, const char *argv[], bool executeOnChildGroups=true)
SimObject * | findObjectByInternalName (const char *internalName, bool searchChildren=false)
virtual bool | writeObject (Stream *stream)
virtual bool | readObject (Stream *stream)
void | lock ()
void | unlock ()
| DECLARE_CONOBJECT (SimSet)
void | _setVectorAssoc (const char *file, const U32 line)
virtual void | pushObject (SimObject *)
virtual void | popObject ()
| Remove an object from the end of the list. More...
void | bringObjectToFront (SimObject *obj)
void | pushObjectToBack (SimObject *obj)
SimObject * | front ()
SimObject * | first ()
SimObject * | last ()
bool | empty ()
S32 | size () const
iterator | begin ()
iterator | end ()
value | operator[] (S32 index)
iterator | find (iterator first, iterator last, SimObject *obj)
iterator | find (SimObject *obj)
template<typename T >
bool | containsType (void)
virtual bool | reOrder (SimObject *obj, SimObject *target=0)
SimObject * | at (S32 index) const
void | deleteObjects (void)
void | clear ()
Public Member Functions inherited from SimObject
StringTableEntry | getClassNamespace () const
StringTableEntry | getSuperClassNamespace () const
void | setClassNamespace (const char *classNamespace)
void | setSuperClassNamespace (const char *superClassNamespace)
void | pushScriptCallbackGuard (void)
void | popScriptCallbackGuard (void)
S32 | getScriptCallbackGuard (void)
Namespace * | getNamespace ()
| Return the object's namespace. More...
const char * | tabComplete (const char *prevText, S32 baseLen, bool)
virtual void | dump ()
virtual void | dumpClassHierarchy ()
SimObject * | clone (const bool copyDynamicFields)
virtual void | copyTo (SimObject *object)
template<typename T >
bool | isType (void)
virtual bool | handlesConsoleMethod (const char *fname, S32 *routingId)
| DECLARE_CONOBJECT (SimObject)
Notify * | removeNotify (void *ptr, Notify::Type)
| Remove a notification from the list. More...
void | deleteNotify (SimObject *obj)
| Notify an object when we are deleted. More...
void | clearNotify (SimObject *obj)
| Notify an object when we are cleared. More...
void | clearAllNotifications ()
| Remove all notifications for this object. More...
void | processDeleteNotifies ()
| Send out deletion notifications. More...
void | registerReference (SimObject **obj)
void | unregisterReference (SimObject **obj)
const char * | getDataField (StringTableEntry slotName, const char *array)
void | setDataField (StringTableEntry slotName, const char *array, const char *value)
const char * | getPrefixedDataField (StringTableEntry fieldName, const char *array)
void | setPrefixedDataField (StringTableEntry fieldName, const char *array, const char *value)
const char * | getPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const S32 fieldType=-1)
void | setPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const char *value, const S32 fieldType=-1)
StringTableEntry | getDataFieldPrefix (StringTableEntry fieldName)
U32 | getDataFieldType (StringTableEntry slotName, const char *array)
SimFieldDictionary * | getFieldDictionary ()
void | clearDynamicFields (void)
| Clear all dynamic fields. More...
void | setCanSaveDynamicFields (bool bCanSave)
| Set whether fields created at runtime should be saved. Default is true. More...
bool | getCanSaveDynamicFields (void) const
| Get whether fields created at runtime should be saved. Default is true. More...
void | setInternalName (const char *newname)
StringTableEntry | getInternalName ()
| Get the internal of of this control. More...
virtual bool | save (const char *pcFilePath, bool bOnlySelected=false)
| Save object as a TorqueScript File. More...
virtual bool | isMethod (const char *methodName)
| Check if a method exists in the objects current namespace. More...
SimObjectId | getId (void) const
StringTableEntry | getIdString (void) const
U32 | getType () const
const StringTableEntry | getName (void) const
void | setId (SimObjectId id)
void | assignName (const char *name)
SimGroup * | getGroup () const
bool | isChildOfGroup (SimGroup *pGroup)
bool | isProperlyAdded () const
bool | isDeleted () const
bool | isRemoved () const
bool | isLocked ()
void | setLocked (bool b)
bool | isHidden ()
void | setHidden (bool b)
void | setProgenitorFile (const char *pFile)
StringTableEntry | getProgenitorFile (void) const
void | setPeriodicTimerID (const S32 timerID)
S32 | getPeriodicTimerID (void) const
bool | isPeriodicTimerActive (void) const
bool | isSelected () const
bool | isExpanded () const
void | setSelected (bool sel)
void | setExpanded (bool exp)
void | setModDynamicFields (bool dyn)
void | setModStaticFields (bool sta)
| SimObject ()
virtual | ~SimObject ()
virtual void | onGroupAdd ()
| Called when the object is added to a SimGroup. More...
virtual void | onGroupRemove ()
| Called when the object is removed from a SimGroup. More...
virtual void | onNameChange (const char *name)
| Called when the object's name is changed. More...
virtual void | onStaticModified (const char *slotName, const char *newValue=NULL)
virtual void | onEditorEnable ()
| Called when the editor is activated. More...
virtual void | onEditorDisable ()
| Called when the editor is deactivated. More...
bool | registerObject ()
bool | registerObject (U32 id)
bool | registerObject (const char *name)
bool | registerObject (const char *name, U32 id)
void | unregisterObject ()
void | deleteObject ()
bool | addToSet (SimObjectId)
bool | addToSet (const char *)
bool | removeFromSet (SimObjectId)
bool | removeFromSet (const char *)
virtual bool | writeField (StringTableEntry fieldname, const char *value)
virtual void | writeFields (Stream &stream, U32 tabStop)
virtual void | buildFilterList ()
void | addFieldFilter (const char *fieldName)
void | removeFieldFilter (const char *fieldName)
void | clearFieldFilters ()
bool | isFiltered (const char *fieldName)
void | assignFieldsFrom (SimObject *obj)
void | assignDynamicFieldsFrom (SimObject *obj)
Public Member Functions inherited from ConsoleObject
const AbstractClassRep::Field * | findField (StringTableEntry fieldName) const
| Get a reference to a field by name. More...
virtual AbstractClassRep * | getClassRep () const
| Gets the ClassRep. More...
bool | setField (const char *fieldName, const char *value)
| Set the value of a field. More...
virtual | ~ConsoleObject ()
const AbstractClassRep::FieldList & | getFieldList () const
| Get a list of all the fields. This information cannot be modified. More...
AbstractClassRep::FieldList & | getModifiableFieldList ()
bool & | getDynamicGroupExpand ()
S32 | getClassId (U32 netClassGroup) const
const char * | getClassName () const

## Static Public Member Functions
static void | initPersistFields ()
Static Public Member Functions inherited from GuiButtonBaseCtrl
static void | initPersistFields ()
Static Public Member Functions inherited from GuiControl
static void | initPersistFields ()
Static Public Member Functions inherited from SimObject
static void | initPersistFields ()
Static Public Member Functions inherited from ConsoleObject
static const char * | lookupClassName (const U32 in_classTag)
| Get the classname from a class tag. More...
static void | initPersistFields ()
static void | consoleInit ()
static ConsoleObject * | create (const char *in_pClassName)
static ConsoleObject * | create (const U32 groupId, const U32 typeId, const U32 in_classId)
static AbstractClassRep * | getStaticClassRep ()
| Get the abstract class information for this class. More...
static AbstractClassRep * | getParentStaticClassRep ()
| Get the abstract class information for this class's superclass. More...

## Protected Types
enum | { stateNormal, stateMouseOver, statePressed, stateDisabled }

## Protected Member Functions
void | renderButton (Point2I &offset, const RectI &updateRect)
void | renderBitmapArray (RectI &bounds, S32 state)
Protected Member Functions inherited from GuiControl
const char * | execConsoleCallback ()
| Executes mConsoleCommand, and returns the result. More...
const char * | execAltConsoleCallback ()
| Executes mAltConsoleCommand, and returns the result. More...
void | setVariable (const char *value)
void | setIntVariable (S32 value)
void | setFloatVariable (F32 value)
const char * | getVariable ()
| Returns value of control's bound variable as a string. More...
S32 | getIntVariable ()
| Returns value of control's bound variable as a integer. More...
F32 | getFloatVariable ()
| Returns value of control's bound variable as a float. More...
Protected Member Functions inherited from SimObject
virtual void | onTamlPreWrite (void)
| Taml callbacks. More...
virtual void | onTamlPostWrite (void)
| Called after Taml has finished writing the object. More...
virtual void | onTamlPreRead (void)
| Called prior to Taml reading the object. More...
virtual void | onTamlPostRead (const TamlCustomNodes &customNodes)
virtual void | onTamlAddParent (SimObject *pParentObject)
| Called after Taml has finished reading the object and has added the object to any parent. More...
virtual void | onTamlCustomWrite (TamlCustomNodes &customNodes)
| Called during the writing of the object to allow custom properties to be written. More...
virtual void | onTamlCustomRead (const TamlCustomNodes &customNodes)
| Called during the reading of the object to allow custom properties to be read. More...
void | linkNamespaces ()
void | unlinkNamespaces ()
Protected Member Functions inherited from ConsoleObject
| ConsoleObject ()
| ConsoleObject (const ConsoleObject &)

## Protected Attributes
StringTableEntry | mBitmapName
TextureHandle | mTextureNormal
S32 | mIconLocation
S32 | mTextLocation
S32 | mTextMargin
Point2I | mButtonMargin
bool | mFitBitmapToButton
StringTableEntry | mErrorBitmapName
TextureHandle | mErrorTextureHandle
Protected Attributes inherited from GuiButtonCtrl
bool | mHasTheme
Protected Attributes inherited from GuiButtonBaseCtrl
StringTableEntry | mButtonText
StringTableEntry | mButtonTextID
bool | mDepressed
bool | mMouseOver
bool | mStateOn
S32 | mButtonType
S32 | mRadioGroup
bool | mUseMouseEvents
Protected Attributes inherited from GuiControl
S32 | mHorizSizing
| Set from horizSizingOptions. More...
S32 | mVertSizing
| Set from vertSizingOptions. More...
StringTableEntry | mConsoleVariable
StringTableEntry | mConsoleCommand
StringTableEntry | mAltConsoleCommand
StringTableEntry | mAcceleratorKey
StringTableEntry | mTooltip
Protected Attributes inherited from SimSet
SimObjectList | objectList
void * | mMutex
Protected Attributes inherited from SimObject
SimObjectId | mId
| Id number for this object. More...
StringTableEntry | mIdString
Namespace * | mNameSpace
U32 | mTypeMask
S32 | mScriptCallbackGuard
| Whether the object is executing a script callback. More...
bool | mCanSaveFieldDictionary
| true if dynamic fields (added at runtime) should be saved, defaults to true More...
StringTableEntry | mInternalName
| Stores object Internal Name. More...
StringTableEntry | mClassName
| Stores the class name to link script class namespaces. More...
StringTableEntry | mSuperClassName
| Stores super class name to link script class namespaces. More...

## Additional Inherited Members
Public Attributes inherited from GuiControl
GuiControlProfile * | mProfile
GuiControlProfile * | mTooltipProfile
S32 | mTipHoverTime
S32 | mTooltipWidth
bool | mVisible
bool | mActive
bool | mAwake
bool | mSetFirstResponder
bool | mCanSave
bool | mIsContainer
| if true, then the GuiEditor can drag other controls into this one. More...
S32 | mLayer
RectI | mBounds
Point2I | mMinExtent
StringTableEntry | mLangTableName
LangTable * | mLangTable
SimObjectPtr< GuiControl > | mFirstResponder
Static Public Attributes inherited from GuiControl
static GuiEditCtrl * | smEditorHandle = NULL
static S32 | smCursorChanged = -1
| Has this control modified the cursor? -1 or type. More...
static bool | smDesignTime = false
static GuiControl * | smPrevResponder = NULL
static GuiControl * | smCurResponder = NULL
Static Protected Member Functions inherited from SimObject
static bool | setClass (void *obj, const char *data)
static bool | setSuperClass (void *obj, const char *data)
static bool | writeCanSaveDynamicFields (void *obj, StringTableEntry pFieldName)
static bool | writeInternalName (void *obj, StringTableEntry pFieldName)
static bool | setParentGroup (void *obj, const char *data)
static bool | writeParentGroup (void *obj, StringTableEntry pFieldName)
static bool | writeSuperclass (void *obj, StringTableEntry pFieldName)
static bool | writeClass (void *obj, StringTableEntry pFieldName)
static SimObject::Notify * | allocNotify ()
| Get a free Notify structure. More...
static void | freeNotify (SimObject::Notify *)
| Mark a Notify structure as free. More...
Static Protected Member Functions inherited from ConsoleObject
static void | addGroup (const char *in_pGroupname, const char *in_pGroupDocs=NULL)
static void | endGroup (const char *in_pGroupname)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const char *in_pFieldDocs)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const char *in_pFieldDocs)
static void | addFieldV (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, ConsoleTypeValidator *v, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const char *in_pFieldDocs=NULL)
static void | addDepricatedField (const char *fieldName)
static bool | removeField (const char *in_pFieldname)
Static Protected Attributes inherited from SimObject
static SimObject::Notify * | mNotifyFreeList = NULL

## Detailed Description

Icon Button Control Draws the bitmap within a normal button control.

if the extent is set to (0,0) in the gui editor and apply hit, this control will set it's extent to be exactly the size of the normal bitmap (if present)

## Member Enumeration Documentation

anonymous enum

Enumerator
TextLocNone |
TextLocBottom |
TextLocRight |
TextLocTop |
TextLocLeft |
TextLocCenter |

anonymous enum

Enumerator
IconLocLeft |
IconLocRight |
IconLocNone |

anonymous enum
| protected

Enumerator
stateNormal |
stateMouseOver |
statePressed |
stateDisabled |

## Constructor & Destructor Documentation

GuiIconButtonCtrl | ( |  | ) |

## Member Function Documentation

DECLARE_CONOBJECT | ( | GuiIconButtonCtrl |  | ) |

void initPersistFields | ( |  | ) |
| static

void inspectPostApply | ( |  | ) |
| virtual

Called after any property of the object is changed in the world editor.

See also
  inspectPreApply

Reimplemented from SimObject.

void onRender | ( | Point2I | offset,
|  | const RectI & | updateRect
| ) |  |
| virtual

Called when this control is to render itself

Parameters

  offset | The location this control is to begin rendering
  updateRect | The screen area this control has drawing access to

Reimplemented from GuiButtonCtrl.

void onSleep | ( |  | ) |
| virtual

Called when this object is asked to sleep.

Reimplemented from GuiControl.

bool onWake | ( |  | ) |
| virtual

Called when this object is asked to wake up returns true if it's actually awake at the end.

Reimplemented from GuiButtonCtrl.

void renderBitmapArray | ( | RectI & | bounds,
|  | S32 | state
| ) |  |
| protected

void renderButton | ( | Point2I & | offset,
|  | const RectI & | updateRect
| ) |  |
| protected

void setBitmap | ( | const char * | name | ) |

void setErrorBitmap | ( | const char * | name | ) |

## Member Data Documentation

StringTableEntry mBitmapName
| protected

Point2I mButtonMargin
| protected

StringTableEntry mErrorBitmapName
| protected

TextureHandle mErrorTextureHandle
| protected

bool mFitBitmapToButton
| protected

S32 mIconLocation
| protected

S32 mTextLocation
| protected

S32 mTextMargin
| protected

TextureHandle mTextureNormal
| protected

The documentation for this class was generated from the following files:

- gui/buttons/guiIconButtonCtrl.h
- gui/buttons/guiIconButtonCtrl.cc